Bug 257147 - www/p5-Firefox-Marionette: Update to 1.10 (bugfix release)
Summary: www/p5-Firefox-Marionette: Update to 1.10 (bugfix release)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://metacpan.org/dist/Firefox-Mar...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-12 22:26 UTC by Tomohiro Hosaka
Modified: 2021-07-31 15:05 UTC (History)
1 user (show)

See Also:
eduardo: merge-quarterly+


Attachments
git diff (4.84 KB, text/plain)
2021-07-12 22:26 UTC, Tomohiro Hosaka
no flags Details
fix dependencies (5.30 KB, patch)
2021-07-15 06:46 UTC, Tomohiro Hosaka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2021-07-12 22:26:08 UTC
* poudriere testport ok (12.2, amd64)
* make test ok
Comment 1 Tomohiro Hosaka 2021-07-12 22:26:10 UTC
Created attachment 226411 [details]
git diff
Comment 2 Nuno Teixeira freebsd_committer 2021-07-15 06:05:11 UTC
Hello,

poudriere testport in 14 CURRENT and all supported versions (amd64|i386) are fine.

'make test' is not fine:
---
===>  Testing for p5-Firefox-Marionette-1.10
PERL_DL_NONLAZY=1 "/usr/local/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00.load.t ........ 1/1
#   Failed test 'use Firefox::Marionette;'
#   at t/00.load.t line 4.
#     Tried to use 'Firefox::Marionette'.
#     Error:  Can't locate Archive/Zip.pm in @INC (you may need to install the Archive::Zip module) (@INC contains: /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/lib /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/arch /usr/local/lib/perl5/site_perl/mach/5.32 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.32/mach /usr/local/lib/perl5/5.32 .) at /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/lib/Firefox/Marionette.pm line 22.
# BEGIN failed--compilation aborted at /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/lib/Firefox/Marionette.pm line 22.
# Compilation failed in require at t/00.load.t line 4.
# BEGIN failed--compilation aborted at t/00.load.t line 4.
# Testing Firefox::Marionette
# Looks like you failed 1 test of 1.
t/00.load.t ........ Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests
t/01-marionette.t .. Can't locate Archive/Zip.pm in @INC (you may need to install the Archive::Zip module) (@INC contains: /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/lib /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/arch /usr/local/lib/perl5/site_perl/mach/5.32 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.32/mach /usr/local/lib/perl5/5.32 .) at /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/lib/Firefox/Marionette.pm line 22.
BEGIN failed--compilation aborted at /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10/blib/lib/Firefox/Marionette.pm line 22.
Compilation failed in require at t/01-marionette.t line 9.
BEGIN failed--compilation aborted at t/01-marionette.t line 9.
t/01-marionette.t .. Dubious, test returned 2 (wstat 512, 0x200)
No subtests run
t/pod-coverage.t ... skipped: Test::Pod::Coverage 1.04 required for testing POD coverage
t/pod.t ............ skipped: Test::Pod 1.41 required for testing POD

Test Summary Report
-------------------
t/00.load.t      (Wstat: 256 Tests: 1 Failed: 1)
  Failed test:  1
  Non-zero exit status: 1
t/01-marionette.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=4, Tests=1,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.20 cusr  0.03 csys =  0.24 CPU)
Result: FAIL
Failed 2/4 test programs. 1/1 subtests failed.
*** Error code 255

Stop.
make[1]: stopped in /usr/home/nunotex/Work/freebsd/ports/www/p5-Firefox-Marionette/work/Firefox-Marionette-1.10
*** Error code 1
---

Could you please run 'make test' and see what results are?
Comment 3 Tomohiro Hosaka 2021-07-15 06:46:31 UTC
Created attachment 226477 [details]
fix dependencies

Thanks for the testing.

I did poudriere bulk -i www/p5-Firefox-Marionette && cd /usr/ports/www/p5-Firefox-Marionette && make test to fix the dependency.

Thank you for your patience.
Comment 4 commit-hook freebsd_committer 2021-07-16 08:38:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6b805247898412a45df2d1c697208e5cb0d9372f

commit 6b805247898412a45df2d1c697208e5cb0d9372f
Author:     Tomohiro Hosaka <bokutin@bokut.in>
AuthorDate: 2021-07-16 08:34:51 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-16 08:36:54 +0000

    www/p5-Firefox-Marionette: Update to 1.10 (bugfix release)

     * Use DISTVERSION instead of PORTVERSION

    ChangeLog: https://metacpan.org/dist/Firefox-Marionette/changes

    PR:             257147

 www/p5-Firefox-Marionette/Makefile  | 13 ++++++---
 www/p5-Firefox-Marionette/distinfo  |  6 ++--
 www/p5-Firefox-Marionette/pkg-plist | 56 +++++++++++++++++++++++++------------
 3 files changed, 50 insertions(+), 25 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-07-16 08:41:53 UTC
Committed thanks!

Now I will do further tests on 2021Q3 quarterly branch so I commit there too.

Cheers!
Comment 6 Tomohiro Hosaka 2021-07-31 06:31:24 UTC
Thanks for the work!

This update is not a security fix, so I don't think it needs to be applied to 2021Q3.
Comment 7 Nuno Teixeira freebsd_committer 2021-07-31 15:05:15 UTC
1.10  Sun Jul 11 08:15:00 2021
       Fixing MANIFEST to include UpdateStatus.pm

Yes you are right, this is not a security fix nor a bugfix release.

I will close this PR and I will not commit it to quarterly.

Thanks.